Bug 1124557 - miscalculates percentage when there are multiple batteries
Summary: miscalculates percentage when there are multiple batteries
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: upower
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 19:04 UTC by Bill Nottingham
Modified: 2015-06-29 21:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:50:15 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2014-07-29 19:04:09 UTC
Description of problem:

(Using gnome-3.12 COPR)

After being plugged in for a while (long enough to charge everything), I disconnect. The battery monitor says the battery is critical. Looking at upower:

[notting@nostromo: ~]$ upower -d
Device: /org/freedesktop/UPower/devices/line_power_AC
  native-path:          AC
  power supply:         yes
  updated:              Tue 29 Jul 2014 02:55:03 PM EDT (98 seconds ago)
  has history:          no
  has statistics:       no
  line-power
    warning-level:       none
    online:              no
    icon-name:          'ac-adapter-symbolic'

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path:          BAT0
  vendor:               SANYO
  model:                45N1773
  serial:               11444
  power supply:         yes
  updated:              Tue 29 Jul 2014 02:55:03 PM EDT (98 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               fully-charged
    warning-level:       none
    energy:              21.69 Wh
    energy-empty:        0 Wh
    energy-full:         21.69 Wh
    energy-full-design:  23.2 Wh
    energy-rate:         0 W
    voltage:             12.487 V
    percentage:          100%
    capacity:            93.4914%
    technology:          lithium-ion
    icon-name:          'battery-full-charged-symbolic'

Device: /org/freedesktop/UPower/devices/battery_BAT1
  native-path:          BAT1
  vendor:               SANYO
  model:                45N1775
  serial:               6812
  power supply:         yes
  updated:              Tue 29 Jul 2014 02:55:03 PM EDT (98 seconds ago)
  has history:          yes
  has statistics:       yes
  battery
    present:             yes
    rechargeable:        yes
    state:               discharging
    warning-level:       none
    energy:              21.47 Wh
    energy-empty:        0 Wh
    energy-full:         21.47 Wh
    energy-full-design:  23.2 Wh
    energy-rate:         0 W
    voltage:             12.383 V
    percentage:          100%
    capacity:            92.5431%
    technology:          lithium-ion
    icon-name:          'battery-full-symbolic'

Device: /org/freedesktop/UPower/devices/DisplayDevice
  power supply:         yes
  updated:              Wed 31 Dec 1969 07:00:00 PM EST (1406660201 seconds ago)
  has history:          no
  has statistics:       no
  battery
    present:             yes
    state:               discharging
    warning-level:       action
    energy:              43.16 Wh
    energy-full:         43.16 Wh
    energy-rate:         0 W
    percentage:          0%
    icon-name:          'battery-caution-symbolic'

Daemon:
  daemon-version:  0.99.0
  on-battery:      yes
  lid-is-closed:   no
  lid-is-present:  yes
  is-docked:       no
  critical-action: PowerOff

As you can see the energy rate & percentage of the 'display device' is not correct.

If I wait long enough it appears to sort itself out and reverts to the correct 'full' display, and does not actually shut down; the notifications and warnings are disturbing, though.

Version-Release number of selected component (if applicable):

upower-0.99.0-3.fc20.x86_64

How reproducible:

Occasionally

Steps to Reproduce:
1. Fully charge batteries
2. Remove AC

Actual results:

critical battery warning

Expected results:

no warning

Additional info:

Comment 1 Fedora End Of Life 2015-05-29 12:30:34 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 21:50:15 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.